Macaulay2 » Documentation
Packages » SRdeformations :: HH Complex
next | previous | forward | backward | up | index | toc

# HH Complex -- Compute the homology of a complex.

- Function: homology
- Usage:
    `homology(C)`
- Inputs:
  - C, an embedded complex,
- Outputs:
  - a list, of finitely generated abelian groups (type defined in ConvexInterface)

## Description

Computes the homology of a complex (not necessarily simplicial).

## Caveat

To use this the package ConvexInterface has to be installed.

## Ways to use this method:

- HH Complex -- Compute the homology of a complex.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/SRdeformations.m2:7605:0.